Skip to main content
`Ctrl`+`K`

# ISEqualUnsorted

Compares if two index sets have the same indices.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISEqualUnsorted(IS is1, IS is2, PetscBool *flg)

Collective

## Input Parameters

- is1 - first index set to compare

- is2 - second index set to compare

## Output Parameter

- flg - output flag, either `PETSC_TRUE` (if both index sets have the same indices), or `PETSC_FALSE` if the index sets differ by size or by the set of indices)

## Note

Unlike `ISEqual()`, this routine does NOT sort the contents of the index sets before the comparison is made, i.e., the order of indices is important.

Each MPI rank must have the same indices.

## See Also

Low-level Vector Communication, `IS`, `ISEqual()`

## Level

intermediate

## Location

src/vec/is/is/utils/iscomp.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages